#include<bits/stdc++.h>
using namespace std;
long long broene[1005];
int main(){
    long long n, a;
    cin>>n;
    for(long long i = 0; i < n; i++){
        cin>>a;
        broene[a] ++;
    }
    for(long long i = 1; i <= 1000; i++){
        if(broene[i] == 0) continue;
        if(broene[i] > broene[i + 1]) broene[i] -= broene[i + 1];
        else broene[i] = 0;
    }
    long long ans = 0;
    for(long long i = 1; i <= 1000; i++){
        ans += broene[i] * i;
    }
    cout<<ans<<endl;
    return 0;
}
